rabbitMQ和对应的erlang版本匹配

来源自https://www.rabbitmq.com/which-erlang.html

erlang安装包下载地址

https://packages.erlang-solutions.com/erlang/

erlang有多个类型

erlang    包括所有OTP组件及OTP Suite,没有erlang-doc erlang-manpages erlang-mode

esl-erlang  里面包含所有的OTP组件,比erlang package体积大一些

erlang-base  里面只包含了必要OTP组件,只有大约13M

 

Unsupported RabbitMQ SeriesMinimum required Erlang/OTPMaximum supported Erlang/OTPNotes
  • 3.6.16
  • 3.6.15
  • 19.3
  • 20.3.x
  • RabbitMQ 3.6 was released on 2015-12-22, and reached end of life on 2018-05-31, we strongly discourage its use
  • On Windows, Erlang/OTP 20.2 changed default cookie file location
  • Versions prior to 19.3.6.4 have known bugs (e.g. ERL-430ERL-448) that can prevent RabbitMQ nodes from accepting connections (including from CLI tools) and stopping
  • Versions prior to 19.3.6.4 are vulnerable to the ROBOT attack (CVE-2017-1000385)
  • 3.6.14
  • 3.6.13
  • 3.6.12
  • 3.6.11
  • R16B03
  • 20.1.x
  • RabbitMQ 3.6 was released on 2015-12-22, and reached end of life on 2018-05-31, we strongly discourage its use
  • 3.6.10
  • 3.6.9
  • 3.6.8
  • 3.6.7
  • 3.6.6
  • 3.6.5
  • 3.6.4
  • R16B03
  • 19.3.x
  • RabbitMQ 3.6 was released on 2015-12-22, and reached end of life on 2018-05-31, we strongly discourage its use
  • 3.6.3
  • 3.6.2
  • 3.6.1
  • 3.6.0
  • R16B03
  • 18.3.x
  • RabbitMQ 3.6 was released on 2015-12-22, and reached end of life on 2018-05-31, we strongly discourage its use
  • 3.5.x
  • R14B04
  • 17.5.x
  • RabbitMQ 3.5 was released on 2015-03-11, and reached end of life on 2017-09-11, we strongly discourage its use
  • 3.4.x
  • R13B03
  • 16B03
  • RabbitMQ 3.4 was released 2014-10-21, and reached end of life 2017-05-31, we strongly discourage its use
RabbitMQ versionMinimum required Erlang/OTPMaximum supported Erlang/OTPNotes
  • 3.7.13
  • 3.7.12
  • 3.7.11
  • 3.7.10
  • 3.7.9
  • 3.7.8
  • 3.7.7
  • 20.3.x
  • 21.3.x
  • 3.7.6
  • 3.7.5
  • 3.7.4
  • 3.7.3
  • 3.7.2
  • 3.7.1
  • 3.7.0
  • 19.3
  • 20.3.x
  • For the best TLS support, the latest version of Erlang/OTP 20.3.x is recommended
  • Erlang versions prior to 19.3.6.4 have known bugs (e.g. ERL-430ERL-448) that can prevent RabbitMQ nodes from accepting connections (including from CLI tools) and stopping
  • Versions prior to 19.3.6.4 are vulnerable to the ROBOT attack (CVE-2017-1000385)
  • On Windows, Erlang/OTP 20.2 changed default cookie file location

转载于:https://www.cnblogs.com/gne-hwz/p/10714013.html

评论将由博主筛选后显示,对所有人可见 | 还能输入1000个字符 “速评一下”
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页